{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.shulker": {
      "arrays": {
        "textures": {
          "Array.variants": [
            "Texture.black",
            "Texture.red",
            "Texture.green",
            "Texture.brown",
            "Texture.blue",
            "Texture.purple",
            "Texture.cyan",
            "Texture.silver",
            "Texture.gray",
            "Texture.pink",
            "Texture.lime",
            "Texture.yellow",
            "Texture.light_blue",
            "Texture.magenta",
            "Texture.orange",
            "Texture.white",
            "Texture.undyed"
          ]
        }
      },
      "overlay_color": { "r": 0.25, "g": 0.25, "b": 0.9, "a": "0.5*q.property('ldz:ice_overlay')" },	
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "Array.variants[query.variant]" ]
    }
  }
}